import request from '@/utils/request'

// 获取商品管理列表
export function orderInfo(query) {
    return request({
        url: '/user-center/orderInfo/page',
        method: 'get',
        params: query
    })
}
//平台物流发货
export function createLogisticOrder(query) {
    return request({
        url: '/logistics/logisticorder/createLogisticOrder',
        method: 'post',
        data: query
    })
}
//获取订单详情
export function orderDetails(query) {
    return request({
        url: '/user-center/orderInfo/getById',
        method: 'get',
        params: query
    })
}
//同意退款与拒绝退款
export function refund(query) {
    return request({
        url: '/user-center/refund/audit',
        method: 'post',
        data: query
    })
}

//商家修改订单地址
export function merchantUpdateOrderAddress(query) {
    return request({
        url: '/user-center/orderInfo/merchantUpdateOrderAddress',
        method: 'post',
        data: query
    })
}

